%{?nodejs_find_provides_and_requires}

%global packagename npm-license
%global enable_tests 1

Name:		nodejs-npm-license
Version:	0.3.3
Release:	2%{?dist}
Summary:	Check license info for a module

License:	BSD
URL:		https://github.com/AceMetrix/npm-license
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
# nothing
%endif

%description
Check license info for a module


%prep
%autosetup -n package

%nodejs_fixdep package-license
%nodejs_fixdep underscore

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/${packagename}/bin/npm-license \
    %{buildroot}%{_bindir}/${packagename}

%check
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- This package hsa no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 28 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.3-1
- Initial packaging
